# kanako (神奈子)
the adaptable password manager. named after [Kanako Yasaka](https://en.touhouwiki.net/wiki/Kanako_Yasaka) from [Touhou 10: Mountain of Faith](https://en.touhouwiki.net/wiki/Mountain_of_Faith)

## Backends supported
* [age](https://age-encryption.org)
* [cream](https://z3bra.org/cream/)
* [gpg](https://gnupg.org)
* [salty](https://git.mills.io/prologic/salty)

## Dependencies
* Any of the above, depending how you configured it
* `tree(1)` for printing a list
* `mandoc(1)` for documentation

## Add-ons

### kanako\_gen
random username and password generator, requires `strings(1)`,
`dd(1)` and a sane `tr(1)` (FreeBSD's one behaves differently and
in unexpected ways)

### kanako\_menu
quick graphical front-end for kanako, works with either of `dmenu(1)`
or `bemenu(1)`, useful for copying passwords to clipboard.

### kanako\_totp
time-based one time password addon for kanako, requires `oathtool(1)`
from oath-toolkit.

## License
* [Beerware License (Revision 42.1)](COPYING)

## Related software
* [beastie/aps](https://codeberg.org/beastie/aps)
* [biox/pa](https://github.com/biox/pa)
* [e-zk/page](https://github.com/e-zk/page)
* [kl3/spm](https://notabug.org/kl3/spm)
* [nmeum/tpm](https://github.com/nmeum/tpm)
* [shokara/angou](https://gt.kalli.st/shokara/angou)
* [zx2c4/pass](https://passwordstore.org)
